Marcus Meissner
0f203926a1
- Rename patch: * From 0211-fix_multipath_check_hostonly.patch to 0303-fix_multipath_check_hostonly.patch - Rename patch: * From 0213-10i18n-keymap-find.patch to 0213-Fix-wrong-keymap-inclusion.patch - 95fcoe: Do not complain about missing /etc/hba.conf (bsc#980539) * Add 0215-95fcoe-Do-not-complain-about-missing-etc-hba.conf.patch - 95fcoe: silence lldpad warnings * Add 0216-95fcoe-silence-lldpad-warnings.patch - 95fcoe: Allow to specify the FCoE mode via the fcoe= parameter * Add 0217-95fcoe-Allow-to-specify-the-FCoE-mode-via-the-fcoe-p.patch - 40network: allow persistent interface names (bsc#995284) * Add 0218-40network-allow-persistent-interface-names.patch - 95fcoe: use interface names instead of MAC addresses * Add 0219-95fcoe-use-interface-names-instead-of-MAC-addresses.patch - 95fcoe: always set AUTO_VLAN for fcoemon (bsc#995019) * Add 0220-95fcoe-always-set-AUTO_VLAN-for-fcoemon.patch - 95fcoe: Add shutdown script (bsc#994860) * Add 0221-95fcoe-Add-shutdown-script.patch - 90dm: Fixup shutdown script (bsc#994860) * Add 0222-90dm-Fixup-shutdown-script.patch - 90dm: fixup dependency cycle between MD and DM shutdown (bsc#994860) * Add 0223-90dm-fixup-dependency-cycle-between-MD-and-DM-shutdo.patch - 90multipath: Start daemon after udev settle (bsc#986734) * Add 0304-90multipath-Start-daemon-after-udev-settle.patch - 90multipath: load dm_multipath module during startup * Add 0305-90multipath-load-dm_multipath-module-during-startup.patch - 90multipath: add shutdown script (bsc#994860) OBS-URL: https://build.opensuse.org/request/show/422869 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=263
56 lines
1.5 KiB
Diff
56 lines
1.5 KiB
Diff
From 885b133ecd7913990449e7598526d0965ebc3458 Mon Sep 17 00:00:00 2001
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
Date: Thu, 25 Aug 2016 09:28:30 +0200
|
|
Subject: [PATCH] 90dm: Fixup shutdown script
|
|
|
|
When calling the shutdown script we need to take care of traversing
|
|
the device-mapper tables, otherwise we might end up trying to remove
|
|
a device-mapper device which still has another one stacked on top
|
|
and the removal will fail.
|
|
|
|
References: bsc#994860
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.com>
|
|
---
|
|
modules.d/90dm/dm-shutdown.sh | 21 +++++++++++++++++++--
|
|
1 file changed, 19 insertions(+), 2 deletions(-)
|
|
|
|
diff --git a/modules.d/90dm/dm-shutdown.sh b/modules.d/90dm/dm-shutdown.sh
|
|
index 04c89be..0685a68 100755
|
|
--- a/modules.d/90dm/dm-shutdown.sh
|
|
+++ b/modules.d/90dm/dm-shutdown.sh
|
|
@@ -1,11 +1,28 @@
|
|
#!/bin/sh
|
|
|
|
+_remove_dm() {
|
|
+ local dev=$1
|
|
+ local s
|
|
+ local devname
|
|
+
|
|
+ for s in /sys/block/${dev}/holders/dm-* ; do
|
|
+ [ -e ${s} ] || continue
|
|
+ _remove_dm ${s##*/}
|
|
+ done
|
|
+ devname=$(cat /sys/block/${dev}/dm/name)
|
|
+ dmsetup -v --noudevsync remove "$devname" || return $?
|
|
+ return 0
|
|
+}
|
|
+
|
|
_do_dm_shutdown() {
|
|
local ret=0
|
|
local final=$1
|
|
+ local dev
|
|
+
|
|
info "Disassembling device-mapper devices"
|
|
- for dev in $(dmsetup info -c --noheadings -o name) ; do
|
|
- dmsetup -v --noudevsync remove "$dev" || ret=$?
|
|
+ for dev in /sys/block/dm-* ; do
|
|
+ [ -e ${dev} ] || continue
|
|
+ _remove_dm ${dev##*/} || ret=$?
|
|
done
|
|
if [ "x$final" != "x" ]; then
|
|
info "dmsetup ls --tree"
|
|
--
|
|
2.6.6
|
|
|